commit 0445bf5044cafd376d9d788bbf7551e21411a8e6
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Dec 17 10:46:21 2019 +0000

        ARC: Reset received ARC instance counter before next message on a connection.  Bug 2498
    
    (cherry picked from commit 1415d1a6c91e66922036079b3e3b481e579cdb00)

diff --git a/src/src/smtp_in.c b/src/src/smtp_in.c
index f37b2f6e0..d0fb6b81c 100644
--- a/src/src/smtp_in.c
+++ b/src/src/smtp_in.c
@@ -2087,6 +2087,7 @@ dmarc_used_domain = NULL;
 #endif
 #ifdef EXPERIMENTAL_ARC
 arc_state = arc_state_reason = NULL;
+arc_received_instance = 0;
 #endif
 dsn_ret = 0;
 dsn_envid = NULL;

